package cn.com.qmth.importpaper;

import java.io.IOException;
import java.util.Map;

import org.apache.commons.io.IOUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.google.common.collect.Maps;

import okhttp3.Response;

public class ClearProp {

	private static Logger logger = LogManager.getLogger(ClearProp.class);
	private static String batch = "230517";
	private final static String host="https://192.168.10.240/";

	private final static String rootOrgId = "17286";

	private final static String key = "U_C_17286_605350";

	private final static String token = "03fd149ea5314afdb75c352ab055d1d8";

	public static void main(String[] args) {
		logger.debug("**********************开始");
		clear();
		logger.debug("**********************结束");
	}


	private static void clear() {
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", rootOrgId);
		params.put("batch", batch);
		Map<String, String> headers = Maps.newHashMap();
		headers.put("key", key);
		headers.put("token", token);
		Response resp = null;
		try {
//			OKHttpUtil.initOkHttpClient();
			resp = OKHttpUtil.call(HttpMethod.POST, host+"/api/ecs_ques/importYunkaiProp/clear", headers, params);
			if (resp.code() != 200) {
				throw new RuntimeException("body:" + resp.body().string());
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
