package cn.com.qmth.importpaper;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ImportPaperByCourse {

	private static Logger logger = LogManager.getLogger(ImportPaperByCourse.class);
	private final static String sourceDir = "d:/yunkai/";

//	private static String host = "https://192.168.10.240/";
//	private static String rootOrgId = "17286";
//	private static String key = "U_C_17286_605350";
//	private static String token = "03fd149ea5314afdb75c352ab055d1d8";
	
	private static String host = "http://localhost:8008";
	private static String rootOrgId = "149";
	private static String key = "U_C_149_170";
	private static String token = "4b8b8bbab1b04084a7c19ca1fcf98243";
	
	private static AtomicInteger count=new AtomicInteger(0);

	public static void main(String[] args) {
		logger.debug("导入开始");
		Date start=new Date();
		try {
			Map<String,Object> param=new HashMap<>();
			param.put("sourceDir", sourceDir);
			param.put("host", host);
			param.put("rootOrgId", rootOrgId);
			param.put("key", key);
			param.put("token", token);
			MyProducer pro=new MyProducer();
			pro.startDispose(MyConsumer.class, 8, param);
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
		Date end=new Date();
		logger.debug("导入结束，耗时："+((end.getTime()-start.getTime())/1000));
	}

	public static void  addDisposeCount() {
		count.addAndGet(1);
		logger.debug("处理了"+count);
	}
}
